Dynamically registers a new OAuth 2.0 client according to RFC 7591.

POSThttps://api.awork.com/api/v1/clientapplications/register
POST https://api.awork.com/api/v1/clientapplications/register

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The dynamic client registration request.

application/json

redirect_urisarray of string or nullOptional
client_namestring or nullOptional
token_endpoint_auth_methodstring or nullOptional
grant_typesarray of string or nullOptional
response_typesarray of string or nullOptional
scopestring or nullOptional
application_typestring or nullOptional
contactsarray of string or nullOptional
logo_uristring or nullOptional
client_uristring or nullOptional
policy_uristring or nullOptional
tos_uristring or nullOptional
software_idstring or nullOptional
software_versionstring or nullOptional

Responses

201 Created

application/json

redirect_urisarray of string or nullOptional

Array of redirection URI strings for use in redirect-based flows.

client_namestring or nullOptional

Human-readable name of the client to be presented to the end-user.

token_endpoint_auth_methodstring or nullOptional

Requested authentication method for the token endpoint.

grant_typesarray of string or nullOptional

Array of OAuth 2.0 grant types that the client will use.

response_typesarray of string or nullOptional

Array of OAuth 2.0 response types that the client will use.

scopestring or nullOptional

Space-delimited list of OAuth 2.0 scope values.

application_typestring or nullOptional

Kind of the application.

contactsarray of string or nullOptional

Array of e-mail addresses of people responsible for this client.

logo_uristring or nullOptional

URL that references a logo for the client application.

client_uristring or nullOptional

URL of the home page of the client application.

policy_uristring or nullOptional

URL that the client provides to the end-user with information about how the client uses their data.

tos_uristring or nullOptional

URL that the client provides to the end-user to read about the client's terms of service.

software_idstring or nullOptional

A unique identifier string (e.g., a Universally Unique Identifier (UUID)) assigned by the client developer.

software_versionstring or nullOptional

A version identifier string for the client software identified by software_id.

client_idstring or nullOptional

OAuth 2.0 client identifier string.

client_secretstring or nullOptional

OAuth 2.0 client secret string. Only provided for confidential clients.

client_secret_expires_atintegerOptional
format: int64

Time at which the client secret will expire (0 if it doesn't expire).

client_id_issued_atintegerOptional
format: int64

Time at which the client identifier was issued as seconds since Unix epoch.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation